Package org.pushingpixels.substance.internal.fonts

# Class ScaledFontSet

java.lang.Object
org.pushingpixels.substance.internal.fonts.ScaledFontSet

All Implemented Interfaces:
  `FontSet`

public class ScaledFontSet extends Object implements FontSet
Wrapper around the base Substance font set. Is used to create larger / smaller font sets.

## Constructor Summary

Constructors
Constructor
Description
`ScaledFontSet(FontSet delegate, float scaleFactor)`
Creates a wrapper font set.

## Method Summary

Modifier and Type
Method
Description
`FontUIResource`
`getControlFont()`
Returns the font used for all dialog components.
`FontUIResource`
`getMenuFont()`
Returns the font used for the menu.
`FontUIResource`
`getMessageFont()`
Returns the font used for message dialogs.
`FontUIResource`
`getSmallFont()`
Returns the font used for tool tips.
`FontUIResource`
`getTitleFont()`
Returns the font used for the title label in TitledBorders.
`FontUIResource`
`getWindowTitleFont()`
Returns the font used for internal frame titles.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScaledFontSet

public ScaledFontSet(FontSet delegate, float scaleFactor)
Creates a wrapper font set.

Parameters:
  `delegate` - The base Substance font set.
  `scaleFactor` - Scale factor. Should be positive.

## Method Details

### getControlFont

public FontUIResource getControlFont()
Description copied from interface: `FontSet`
Returns the font used for all dialog components.

Specified by:
  `getControlFont` in interface `FontSet`
Returns:
  the font used for all dialog components.

### getMenuFont

public FontUIResource getMenuFont()
Description copied from interface: `FontSet`
Returns the font used for the menu.

Specified by:
  `getMenuFont` in interface `FontSet`
Returns:
  the font used for the menu.

### getMessageFont

public FontUIResource getMessageFont()
Description copied from interface: `FontSet`
Returns the font used for message dialogs.

Specified by:
  `getMessageFont` in interface `FontSet`
Returns:
  the font used for message dialogs.

### getSmallFont

public FontUIResource getSmallFont()
Description copied from interface: `FontSet`
Returns the font used for tool tips.

Specified by:
  `getSmallFont` in interface `FontSet`
Returns:
  the tool tip font.

### getTitleFont

public FontUIResource getTitleFont()
Description copied from interface: `FontSet`
Returns the font used for the title label in TitledBorders. This font is also used by JGoodies Forms titles, and titled separators.

Specified by:
  `getTitleFont` in interface `FontSet`
Returns:
  the font used for TitledBorder titles.

### getWindowTitleFont

public FontUIResource getWindowTitleFont()
Description copied from interface: `FontSet`
Returns the font used for internal frame titles.

Specified by:
  `getWindowTitleFont` in interface `FontSet`
Returns:
  the font used for internal frame titles.